Create credit note

post
https://api.wafeq.com/v1/credit-notes/

Endpoint for creating a new credit note.

Query Params
string

Comma-separated relationships to expand. Pass journal to replace the journal ID with its object (ID, date, currency, reference, notes and timestamps). Documents without a journal still return null. Journal line items are retrieved separately with GET /v1/journal-line-items/?journal={journal_id}.

Body Params

A credit note issued to a customer.

attachmentsarray of strings

Any files or documents attached to this credit note.

string | null

The branch associated with this credit note.

stringrequired

The contact associated with this credit note.

daterequired

The date when the credit note was issued.

stringrequired

The unique number assigned to this credit note.

stringenumrequired

The currency used for this credit note.

View the enum reference

custom_fieldsobject

A mapping of custom field IDs to their values.

double | null

The exchange rate to the organization base currency at the time of the document.

stringlength ≤ 255

External identifier for the credit note.

boolean

Whether this credit note summarizes transactions over a period.

stringenum

The language of the document.

View the enum reference

Allowed:
line_itemsarray of objectsrequired

The individual line items included in this credit note.

string

Any additional notes or comments for this credit note.

string

Only required if your organization is in the UAE: one of ABU_DHABI, AJMAN, DUBAI, FUJAIRAH, RAS_AL_KHAIMAH, SHARJAH, UMM_AL_QUWAIN or OUTSIDE_UAE

string | null

The project associated with this credit note, if applicable.

string

An optional reference number or code for this credit note.

stringenumDefaults to DRAFT

The current status of the credit note draft, sent, or finalized.

View the enum reference

Allowed:
date | null

The end date of the period covered by this summary credit note. Required when is_summary is true.

date | null

The start date of the period covered by this summary credit note. Required when is_summary is true.

stringenum

Specifies whether the tax amount is inclusive or exclusive.

View the enum reference

Allowed:
string | null

The warehouse associated with this credit note, if applicable.

Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response